Subject: Re: Problems with dma_alloc_coherent()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 05 Apr 2004 08:56:19 +1000

> Actually, they are extremely common in the embedded market. On my desk I
> have three Linux systems with this class of DMA engine: an MPC107/7410,
> an ARM9 from Cirrus, and an ARM9 from TI. Most system-on-a-chip
> processors have DMA engines which can move between any two of memory,
> PCI, and internal peripherals.

Right, but in this case, those systems also usually don't have an iommu
and usually provide a simple 1:1 mapping between memory and bus addresses ;)

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/